> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Multiple Contacts

> Create multiple contacts for the organization in bulk.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/contacts/bulk
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/contacts/bulk:
    post:
      tags:
        - Orgs Contacts
      summary: Create Multiple Contacts
      description: Create multiple contacts for the organization in bulk.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateContactsSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateContactsSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactsImportedSchema'
components:
  schemas:
    CreateContactsSchema:
      type: object
      properties:
        segment_ids:
          type: array
          items:
            type: string
          maxItems: 10
          description: The ID of the segment to add the contacts to
        channels:
          type: array
          items:
            $ref: '#/components/schemas/ContactChannelOptionSchema'
          maxItems: 50000
      required:
        - channels
      description: Schema for creating multiple contacts
    ContactsImportedSchema:
      type: object
      properties:
        created_ids:
          type: array
          items:
            type: string
        updated_ids:
          type: array
          items:
            type: string
      required:
        - created_ids
        - updated_ids
      description: Schema for the created contacts
    ContactChannelOptionSchema:
      type: object
      properties:
        user_id:
          type: string
          maxLength: 1024
          description: The user ID of the contact channel
        name:
          type:
            - string
            - 'null'
          maxLength: 256
          description: The name for the contact channel (e.g. John Doe)
        email:
          type: string
          maxLength: 256
          description: The email for the contact channel (e.g. user@example.com)
        phone:
          type: string
          maxLength: 256
          description: The phone number for the contact channel (e.g. +1234567890)
        contact_id:
          type: string
          description: >-
            The ID of the contact used only for dry run response, ignored in the
            request
        properties:
          type: object
          additionalProperties: {}
          description: >-
            Map of contact property key → value to set on the contact after
            creation/match. Pass null/[] to clear.
      description: Schema for creating a contact channel option
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````